aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrew Manison <amanison@anselsystems.com>2011-03-15 18:10:12 +0000
committerAndrew Manison <amanison@anselsystems.com>2011-03-15 18:10:12 +0000
commit74ef110d04ae2baa31b07e7238aa9104684d710b (patch)
treef3d09e248c3f822ee5e54265c1143a4f459587e0
parentf3facf77c943a6bf6c9f95ffc9e73b01258038c6 (diff)
parent29c2454c60a1bb2e5cc858a836963d27fbf28430 (diff)
downloadaports-74ef110d04ae2baa31b07e7238aa9104684d710b.tar.bz2
aports-74ef110d04ae2baa31b07e7238aa9104684d710b.tar.xz
Merge remote-tracking branch 'alpine/master'
Conflicts: testing/imake/APKBUILD
-rw-r--r--main/alpine-base/APKBUILD2
-rw-r--r--main/alpine-baselayout/0001-profile-set-system-environment-charset-to-UTF-8.patch21
-rw-r--r--main/alpine-baselayout/APKBUILD11
-rw-r--r--main/alpine-desktop/APKBUILD9
-rw-r--r--main/evince/APKBUILD45
-rw-r--r--main/linux-grsec/APKBUILD6
-rw-r--r--main/linux-grsec/grsecurity-2.2.1-2.6.37.3-201103122250.patch (renamed from main/linux-grsec/grsecurity-2.2.1-2.6.37.3-201103111917.patch)336
-rw-r--r--main/monkeysphere/APKBUILD (renamed from testing/monkeysphere/APKBUILD)0
-rw-r--r--testing/freeciv/APKBUILD44
-rw-r--r--testing/ices2/APKBUILD31
-rw-r--r--testing/imake/APKBUILD3
-rw-r--r--testing/lua-posixtz/APKBUILD37
-rw-r--r--testing/nsd/0010-stop-unlink-pid-error.patch26
-rw-r--r--testing/nsd/APKBUILD76
-rw-r--r--testing/nsd/nsd.confd15
-rw-r--r--testing/nsd/nsd.initd420
-rw-r--r--testing/nsd/nsd.post-deinstall4
-rw-r--r--testing/nsd/nsd.pre-install4
-rw-r--r--testing/nsd/nsdc30
-rw-r--r--testing/perl-extutils-cchecker/APKBUILD4
-rw-r--r--testing/perl-socket-getaddrinfo/APKBUILD30
-rw-r--r--testing/rp-pppoe/APKBUILD4
-rw-r--r--testing/tzdata/APKBUILD11
23 files changed, 1020 insertions, 149 deletions
diff --git a/main/alpine-base/APKBUILD b/main/alpine-base/APKBUILD
index eedc4df006..e670076b53 100644
--- a/main/alpine-base/APKBUILD
+++ b/main/alpine-base/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-base
-pkgver=2.1.0_git20110312
+pkgver=2.1.0_git20110314
pkgrel=0
pkgdesc="Meta package for minimal alpine base"
url="http://alpinelinux.org"
diff --git a/main/alpine-baselayout/0001-profile-set-system-environment-charset-to-UTF-8.patch b/main/alpine-baselayout/0001-profile-set-system-environment-charset-to-UTF-8.patch
new file mode 100644
index 0000000000..ee7f1c542f
--- /dev/null
+++ b/main/alpine-baselayout/0001-profile-set-system-environment-charset-to-UTF-8.patch
@@ -0,0 +1,21 @@
+From 43c026c2ef8e63726aff987b7c7b65039aa8d455 Mon Sep 17 00:00:00 2001
+From: William Pitcock <nenolod@dereferenced.org>
+Date: Mon, 14 Mar 2011 11:32:45 -0500
+Subject: [PATCH] profile: set system environment charset to UTF-8
+
+---
+ profile | 1 +
+ 1 files changed, 1 insertions(+), 0 deletions(-)
+
+diff --git a/profile b/profile
+index a292008..3480248 100644
+--- a/profile
++++ b/profile
+@@ -1,3 +1,4 @@
++export CHARSET=UTF-8
+ export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ export PAGER=less
+ export PS1='\h:\w\$ '
+--
+1.7.4.1
+
diff --git a/main/alpine-baselayout/APKBUILD b/main/alpine-baselayout/APKBUILD
index 382873326e..67b8a9adfe 100644
--- a/main/alpine-baselayout/APKBUILD
+++ b/main/alpine-baselayout/APKBUILD
@@ -1,15 +1,21 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-baselayout
pkgver=2.0_rc1
-pkgrel=2
+pkgrel=3
pkgdesc="Alpine base dir structure and init scripts"
url=http://git.alpinelinux.org/cgit/alpine-baselayout
depends=
source="http://git.alpinelinux.org/cgit/$pkgname.git/snapshot/$pkgname-$pkgver.tar.bz2
+ 0001-profile-set-system-environment-charset-to-UTF-8.patch
"
arch="all"
license=GPL-2
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -p1 < "$srcdir"/0001-profile-set-system-environment-charset-to-UTF-8.patch
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
rm -f src/mkmntdirs
@@ -20,4 +26,5 @@ package() {
cd "$srcdir"/$pkgname-$pkgver
make install PREFIX= DESTDIR="$pkgdir" || return 1
}
-md5sums="76d61057c9e21d8e3ef85933a20b814d alpine-baselayout-2.0_rc1.tar.bz2"
+md5sums="76d61057c9e21d8e3ef85933a20b814d alpine-baselayout-2.0_rc1.tar.bz2
+b4eb3fdb4ca0aa136c87ca0c32e25742 0001-profile-set-system-environment-charset-to-UTF-8.patch"
diff --git a/main/alpine-desktop/APKBUILD b/main/alpine-desktop/APKBUILD
index 1c11cc0bc3..70cb5be8f9 100644
--- a/main/alpine-desktop/APKBUILD
+++ b/main/alpine-desktop/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-desktop
pkgver=2.0
-pkgrel=1
+pkgrel=3
pkgdesc="Meta package for Alpine Desktop"
url="http://alpinelinux.org"
arch="all"
@@ -10,9 +10,14 @@ makedepends=
depends="
dhcpcd
dhcpcd-ui
+ abiword
+ audacious
+ audacious-plugins
+ evince
gpicview
+ gnumeric
midori
- slim
+ lxdm
sudo
xf86-input-keyboard
xf86-input-mouse
diff --git a/main/evince/APKBUILD b/main/evince/APKBUILD
new file mode 100644
index 0000000000..22641829f7
--- /dev/null
+++ b/main/evince/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=evince
+pkgver=2.32.0
+pkgrel=0
+pkgdesc="simple document viewer for GTK+"
+url="http://projects.gnome.org/evince/"
+arch="all"
+license="GPL"
+depends="gnome-icon-theme"
+depends_dev="gtk+-dev poppler-gtk-dev libsm-dev libevent-dev libxrandr-dev libx11-dev libxcursor-dev libxcomposite-dev libxi-dev util-linux-ng-dev"
+makedepends="$depends_dev intltool gnome-doc-utils"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.gnome.org/pub/GNOME/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-nautilus \
+ --disable-scrollkeeper \
+ --enable-pixbuf \
+ --without-gconf \
+ --without-keyring || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="ebc3ce6df8dcbf29cb9492f8dd031319 evince-2.32.0.tar.bz2"
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index 823c877aea..d07bc1174e 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -4,7 +4,7 @@ _flavor=grsec
pkgname=linux-${_flavor}
pkgver=2.6.37.3
_kernver=2.6.37
-pkgrel=0
+pkgrel=1
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
depends="mkinitfs linux-firmware"
@@ -14,7 +14,7 @@ _config=${config:-kernelconfig.${CARCH}}
install=
source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
- grsecurity-2.2.1-2.6.37.3-201103111917.patch
+ grsecurity-2.2.1-2.6.37.3-201103122250.patch
0001-xfrm-use-gre-key-as-flow-upper-protocol-info.patch
xfrm-fix-gre-key-endianess.patch
@@ -139,7 +139,7 @@ dev() {
md5sums="c8ee37b4fdccdb651e0603d35350b434 linux-2.6.37.tar.bz2
c0a38dd3b5bad43d5f5d07ed0fcf3692 patch-2.6.37.3.bz2
-d9e9d2c8a0bb3b43fe6d8fcdc156f8cc grsecurity-2.2.1-2.6.37.3-201103111917.patch
+53731b8b21fbc8a4972387ecee2cade2 grsecurity-2.2.1-2.6.37.3-201103122250.patch
3152851c31bfa8c54660dbb84d75b38d 0001-xfrm-use-gre-key-as-flow-upper-protocol-info.patch
ea7a7eb2775b71ae5ef24d029a4905bd xfrm-fix-gre-key-endianess.patch
776adeeb5272093574f8836c5037dd7d 0004-arp-flush-arp-cache-on-device-change.patch
diff --git a/main/linux-grsec/grsecurity-2.2.1-2.6.37.3-201103111917.patch b/main/linux-grsec/grsecurity-2.2.1-2.6.37.3-201103122250.patch
index 7848fc556b..0be63e5d41 100644
--- a/main/linux-grsec/grsecurity-2.2.1-2.6.37.3-201103111917.patch
+++ b/main/linux-grsec/grsecurity-2.2.1-2.6.37.3-201103122250.patch
@@ -7791,7 +7791,7 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/elf.h linux-2.6.37.3/arch/x86/inc
#endif /* _ASM_X86_ELF_H */
diff -urNp linux-2.6.37.3/arch/x86/include/asm/futex.h linux-2.6.37.3/arch/x86/include/asm/futex.h
--- linux-2.6.37.3/arch/x86/include/asm/futex.h 2011-01-04 19:50:19.000000000 -0500
-+++ linux-2.6.37.3/arch/x86/include/asm/futex.h 2011-01-25 20:24:56.000000000 -0500
++++ linux-2.6.37.3/arch/x86/include/asm/futex.h 2011-03-12 22:50:25.000000000 -0500
@@ -12,16 +12,18 @@
#include <asm/system.h>
@@ -7830,11 +7830,11 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/futex.h linux-2.6.37.3/arch/x86/i
switch (op) {
case FUTEX_OP_SET:
- __futex_atomic_op1("xchgl %0, %2", ret, oldval, uaddr, oparg);
-+ __futex_atomic_op1("xchgl %0, "__copyuser_seg"%2", ret, oldval, uaddr, oparg);
++ __futex_atomic_op1(__copyuser_seg"xchgl %0, %2", ret, oldval, uaddr, oparg);
break;
case FUTEX_OP_ADD:
- __futex_atomic_op1(LOCK_PREFIX "xaddl %0, %2", ret, oldval,
-+ __futex_atomic_op1(LOCK_PREFIX "xaddl %0, "__copyuser_seg"%2", ret, oldval,
++ __futex_atomic_op1(LOCK_PREFIX __copyuser_seg"xaddl %0, %2", ret, oldval,
uaddr, oparg);
break;
case FUTEX_OP_OR:
@@ -7856,7 +7856,7 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/futex.h linux-2.6.37.3/arch/x86/i
return -EFAULT;
- asm volatile("1:\t" LOCK_PREFIX "cmpxchgl %3, %1\n"
-+ asm volatile("1:\t" LOCK_PREFIX "cmpxchgl %3, "__copyuser_seg"%1\n"
++ asm volatile("1:\t" LOCK_PREFIX __copyuser_seg"cmpxchgl %3, %1\n"
"2:\t.section .fixup, \"ax\"\n"
"3:\tmov %2, %0\n"
"\tjmp 2b\n"
@@ -9936,7 +9936,7 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess_64.h linux-2.6.37.3/arch/
#endif /* _ASM_X86_UACCESS_64_H */
diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess.h linux-2.6.37.3/arch/x86/include/asm/uaccess.h
--- linux-2.6.37.3/arch/x86/include/asm/uaccess.h 2011-01-04 19:50:19.000000000 -0500
-+++ linux-2.6.37.3/arch/x86/include/asm/uaccess.h 2011-01-17 02:41:01.000000000 -0500
++++ linux-2.6.37.3/arch/x86/include/asm/uaccess.h 2011-03-12 22:50:25.000000000 -0500
@@ -8,12 +8,15 @@
#include <linux/thread_info.h>
#include <linux/prefetch.h>
@@ -10007,7 +10007,7 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess.h linux-2.6.37.3/arch/x86
-
+#if defined(CONFIG_X86_32) && defined(CONFIG_PAX_MEMORY_UDEREF)
-+#define __copyuser_seg "%%gs:"
++#define __copyuser_seg "gs;"
+#define __COPYUSER_SET_ES "pushl %%gs; popl %%es\n"
+#define __COPYUSER_RESTORE_ES "pushl %%ss; popl %%es\n"
+#else
@@ -10020,8 +10020,8 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess.h linux-2.6.37.3/arch/x86
#define __put_user_asm_u64(x, addr, err, errret) \
- asm volatile("1: movl %%eax,0(%2)\n" \
- "2: movl %%edx,4(%2)\n" \
-+ asm volatile("1: movl %%eax," __copyuser_seg"0(%2)\n" \
-+ "2: movl %%edx," __copyuser_seg"4(%2)\n" \
++ asm volatile("1: "__copyuser_seg"movl %%eax,0(%2)\n" \
++ "2: "__copyuser_seg"movl %%edx,4(%2)\n" \
"3:\n" \
".section .fixup,\"ax\"\n" \
"4: movl %3,%0\n" \
@@ -10031,8 +10031,8 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess.h linux-2.6.37.3/arch/x86
#define __put_user_asm_ex_u64(x, addr) \
- asm volatile("1: movl %%eax,0(%1)\n" \
- "2: movl %%edx,4(%1)\n" \
-+ asm volatile("1: movl %%eax," __copyuser_seg"0(%1)\n" \
-+ "2: movl %%edx," __copyuser_seg"4(%1)\n" \
++ asm volatile("1: "__copyuser_seg"movl %%eax,0(%1)\n" \
++ "2: "__copyuser_seg"movl %%edx,4(%1)\n" \
"3:\n" \
_ASM_EXTABLE(1b, 2b - 1b) \
_ASM_EXTABLE(2b, 3b - 2b) \
@@ -10041,7 +10041,7 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess.h linux-2.6.37.3/arch/x86
#define __get_user_asm(x, addr, err, itype, rtype, ltype, errret) \
- asm volatile("1: mov"itype" %2,%"rtype"1\n" \
-+ asm volatile("1: mov"itype" "__copyuser_seg"%2,%"rtype"1\n"\
++ asm volatile("1: "__copyuser_seg"mov"itype" %2,%"rtype"1\n"\
"2:\n" \
".section .fixup,\"ax\"\n" \
"3: mov %3,%0\n" \
@@ -10059,7 +10059,7 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess.h linux-2.6.37.3/arch/x86
#define __get_user_asm_ex(x, addr, itype, rtype, ltype) \
- asm volatile("1: mov"itype" %1,%"rtype"0\n" \
-+ asm volatile("1: mov"itype" "__copyuser_seg"%1,%"rtype"0\n"\
++ asm volatile("1: "__copyuser_seg"mov"itype" %1,%"rtype"0\n"\
"2:\n" \
_ASM_EXTABLE(1b, 2b - 1b) \
: ltype(x) : "m" (__m(addr)))
@@ -10095,7 +10095,7 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess.h linux-2.6.37.3/arch/x86
*/
#define __put_user_asm(x, addr, err, itype, rtype, ltype, errret) \
- asm volatile("1: mov"itype" %"rtype"1,%2\n" \
-+ asm volatile("1: mov"itype" %"rtype"1," __copyuser_seg"%2\n"\
++ asm volatile("1: "__copyuser_seg"mov"itype" %"rtype"1,%2\n"\
"2:\n" \
".section .fixup,\"ax\"\n" \
"3: mov %3,%0\n" \
@@ -10108,7 +10108,7 @@ diff -urNp linux-2.6.37.3/arch/x86/include/asm/uaccess.h linux-2.6.37.3/arch/x86
#define __put_user_asm_ex(x, addr, itype, rtype, ltype) \
- asm volatile("1: mov"itype" %"rtype"0,%1\n" \
-+ asm volatile("1: mov"itype" %"rtype"0," __copyuser_seg"%1\n"\
++ asm volatile("1: "__copyuser_seg"mov"itype" %"rtype"0,%1\n"\
"2:\n" \
_ASM_EXTABLE(1b, 2b - 1b) \
: : ltype(x), "m" (__m(addr)))
@@ -16020,7 +16020,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/csum-wrappers_64.c linux-2.6.37.3/arch/x8
}
diff -urNp linux-2.6.37.3/arch/x86/lib/getuser.S linux-2.6.37.3/arch/x86/lib/getuser.S
--- linux-2.6.37.3/arch/x86/lib/getuser.S 2011-01-04 19:50:19.000000000 -0500
-+++ linux-2.6.37.3/arch/x86/lib/getuser.S 2011-01-17 02:41:01.000000000 -0500
++++ linux-2.6.37.3/arch/x86/lib/getuser.S 2011-03-12 22:50:25.000000000 -0500
@@ -33,14 +33,35 @@
#include <asm/asm-offsets.h>
#include <asm/thread_info.h>
@@ -16029,7 +16029,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/getuser.S linux-2.6.37.3/arch/x86/lib/get
+#include <asm/pgtable.h>
+
+#if defined(CONFIG_X86_32) && defined(CONFIG_PAX_MEMORY_UDEREF)
-+#define __copyuser_seg %gs:
++#define __copyuser_seg gs;
+#else
+#define __copyuser_seg
+#endif
@@ -16054,7 +16054,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/getuser.S linux-2.6.37.3/arch/x86/lib/get
+
+#endif
+
-+1: movzb __copyuser_seg (%_ASM_AX),%edx
++1: __copyuser_seg movzb (%_ASM_AX),%edx
xor %eax,%eax
ret
CFI_ENDPROC
@@ -16080,7 +16080,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/getuser.S linux-2.6.37.3/arch/x86/lib/get
+
+#endif
+
-+2: movzwl __copyuser_seg -1(%_ASM_AX),%edx
++2: __copyuser_seg movzwl -1(%_ASM_AX),%edx
xor %eax,%eax
ret
CFI_ENDPROC
@@ -16106,7 +16106,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/getuser.S linux-2.6.37.3/arch/x86/lib/get
+
+#endif
+
-+3: mov __copyuser_seg -3(%_ASM_AX),%edx
++3: __copyuser_seg mov -3(%_ASM_AX),%edx
xor %eax,%eax
ret
CFI_ENDPROC
@@ -16472,7 +16472,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/mmx_32.c linux-2.6.37.3/arch/x86/lib/mmx_
to += 64;
diff -urNp linux-2.6.37.3/arch/x86/lib/putuser.S linux-2.6.37.3/arch/x86/lib/putuser.S
--- linux-2.6.37.3/arch/x86/lib/putuser.S 2011-01-04 19:50:19.000000000 -0500
-+++ linux-2.6.37.3/arch/x86/lib/putuser.S 2011-01-17 02:41:01.000000000 -0500
++++ linux-2.6.37.3/arch/x86/lib/putuser.S 2011-03-12 22:50:25.000000000 -0500
@@ -15,7 +15,8 @@
#include <asm/thread_info.h>
#include <asm/errno.h>
@@ -16500,7 +16500,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/putuser.S linux-2.6.37.3/arch/x86/lib/put
+#endif
+
+#if defined(CONFIG_X86_32) && defined(CONFIG_PAX_MEMORY_UDEREF)
-+#define __copyuser_seg %gs:
++#define __copyuser_seg gs;
+#else
+#define __copyuser_seg
+#endif
@@ -16525,7 +16525,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/putuser.S linux-2.6.37.3/arch/x86/lib/put
+
+#endif
+
-+1: movb %al,__copyuser_seg (_DEST)
++1: __copyuser_seg movb %al,(_DEST)
xor %eax,%eax
EXIT
ENDPROC(__put_user_1)
@@ -16551,7 +16551,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/putuser.S linux-2.6.37.3/arch/x86/lib/put
+
+#endif
+
-+2: movw %ax,__copyuser_seg (_DEST)
++2: __copyuser_seg movw %ax,(_DEST)
xor %eax,%eax
EXIT
ENDPROC(__put_user_2)
@@ -16577,7 +16577,7 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/putuser.S linux-2.6.37.3/arch/x86/lib/put
+
+#endif
+
-+3: movl %eax,__copyuser_seg (_DEST)
++3: __copyuser_seg movl %eax,(_DEST)
xor %eax,%eax
EXIT
ENDPROC(__put_user_4)
@@ -16603,22 +16603,22 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/putuser.S linux-2.6.37.3/arch/x86/lib/put
+
+#endif
+
-+4: mov %_ASM_AX,__copyuser_seg (_DEST)
++4: __copyuser_seg mov %_ASM_AX,(_DEST)
#ifdef CONFIG_X86_32
-5: movl %edx,4(%_ASM_CX)
-+5: movl %edx,__copyuser_seg 4(_DEST)
++5: __copyuser_seg movl %edx,4(_DEST)
#endif
xor %eax,%eax
EXIT
diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib/usercopy_32.c
--- linux-2.6.37.3/arch/x86/lib/usercopy_32.c 2011-01-04 19:50:19.000000000 -0500
-+++ linux-2.6.37.3/arch/x86/lib/usercopy_32.c 2011-01-17 02:41:01.000000000 -0500
++++ linux-2.6.37.3/arch/x86/lib/usercopy_32.c 2011-03-12 22:50:25.000000000 -0500
@@ -43,7 +43,7 @@ do { \
__asm__ __volatile__( \
" testl %1,%1\n" \
" jz 2f\n" \
- "0: lodsb\n" \
-+ "0: lodsb " __copyuser_seg" (%%esi)\n" \
++ "0: "__copyuser_seg"lodsb\n" \
" stosb\n" \
" testb %%al,%%al\n" \
" jz 1f\n" \
@@ -16666,50 +16666,50 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
"4: movl 4(%4), %%edx\n"
- "5: movl %%eax, 0(%3)\n"
- "6: movl %%edx, 4(%3)\n"
-+ "5: movl %%eax, "__copyuser_seg" 0(%3)\n"
-+ "6: movl %%edx, "__copyuser_seg" 4(%3)\n"
++ "5: "__copyuser_seg" movl %%eax, 0(%3)\n"
++ "6: "__copyuser_seg" movl %%edx, 4(%3)\n"
"7: movl 8(%4), %%eax\n"
"8: movl 12(%4),%%edx\n"
- "9: movl %%eax, 8(%3)\n"
- "10: movl %%edx, 12(%3)\n"
-+ "9: movl %%eax, "__copyuser_seg" 8(%3)\n"
-+ "10: movl %%edx, "__copyuser_seg" 12(%3)\n"
++ "9: "__copyuser_seg" movl %%eax, 8(%3)\n"
++ "10: "__copyuser_seg" movl %%edx, 12(%3)\n"
"11: movl 16(%4), %%eax\n"
"12: movl 20(%4), %%edx\n"
- "13: movl %%eax, 16(%3)\n"
- "14: movl %%edx, 20(%3)\n"
-+ "13: movl %%eax, "__copyuser_seg" 16(%3)\n"
-+ "14: movl %%edx, "__copyuser_seg" 20(%3)\n"
++ "13: "__copyuser_seg" movl %%eax, 16(%3)\n"
++ "14: "__copyuser_seg" movl %%edx, 20(%3)\n"
"15: movl 24(%4), %%eax\n"
"16: movl 28(%4), %%edx\n"
- "17: movl %%eax, 24(%3)\n"
- "18: movl %%edx, 28(%3)\n"
-+ "17: movl %%eax, "__copyuser_seg" 24(%3)\n"
-+ "18: movl %%edx, "__copyuser_seg" 28(%3)\n"
++ "17: "__copyuser_seg" movl %%eax, 24(%3)\n"
++ "18: "__copyuser_seg" movl %%edx, 28(%3)\n"
"19: movl 32(%4), %%eax\n"
"20: movl 36(%4), %%edx\n"
- "21: movl %%eax, 32(%3)\n"
- "22: movl %%edx, 36(%3)\n"
-+ "21: movl %%eax, "__copyuser_seg" 32(%3)\n"
-+ "22: movl %%edx, "__copyuser_seg" 36(%3)\n"
++ "21: "__copyuser_seg" movl %%eax, 32(%3)\n"
++ "22: "__copyuser_seg" movl %%edx, 36(%3)\n"
"23: movl 40(%4), %%eax\n"
"24: movl 44(%4), %%edx\n"
- "25: movl %%eax, 40(%3)\n"
- "26: movl %%edx, 44(%3)\n"
-+ "25: movl %%eax, "__copyuser_seg" 40(%3)\n"
-+ "26: movl %%edx, "__copyuser_seg" 44(%3)\n"
++ "25: "__copyuser_seg" movl %%eax, 40(%3)\n"
++ "26: "__copyuser_seg" movl %%edx, 44(%3)\n"
"27: movl 48(%4), %%eax\n"
"28: movl 52(%4), %%edx\n"
- "29: movl %%eax, 48(%3)\n"
- "30: movl %%edx, 52(%3)\n"
-+ "29: movl %%eax, "__copyuser_seg" 48(%3)\n"
-+ "30: movl %%edx, "__copyuser_seg" 52(%3)\n"
++ "29: "__copyuser_seg" movl %%eax, 48(%3)\n"
++ "30: "__copyuser_seg" movl %%edx, 52(%3)\n"
"31: movl 56(%4), %%eax\n"
"32: movl 60(%4), %%edx\n"
- "33: movl %%eax, 56(%3)\n"
- "34: movl %%edx, 60(%3)\n"
-+ "33: movl %%eax, "__copyuser_seg" 56(%3)\n"
-+ "34: movl %%edx, "__copyuser_seg" 60(%3)\n"
++ "33: "__copyuser_seg" movl %%eax, 56(%3)\n"
++ "34: "__copyuser_seg" movl %%edx, 60(%3)\n"
" addl $-64, %0\n"
" addl $64, %4\n"
" addl $64, %3\n"
@@ -16780,41 +16780,41 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
+ int d0, d1;
+ __asm__ __volatile__(
+ " .align 2,0x90\n"
-+ "1: movl "__copyuser_seg" 32(%4), %%eax\n"
++ "1: "__copyuser_seg" movl 32(%4), %%eax\n"
+ " cmpl $67, %0\n"
+ " jbe 3f\n"
-+ "2: movl "__copyuser_seg" 64(%4), %%eax\n"
++ "2: "__copyuser_seg" movl 64(%4), %%eax\n"
+ " .align 2,0x90\n"
-+ "3: movl "__copyuser_seg" 0(%4), %%eax\n"
-+ "4: movl "__copyuser_seg" 4(%4), %%edx\n"
++ "3: "__copyuser_seg" movl 0(%4), %%eax\n"
++ "4: "__copyuser_seg" movl 4(%4), %%edx\n"
+ "5: movl %%eax, 0(%3)\n"
+ "6: movl %%edx, 4(%3)\n"
-+ "7: movl "__copyuser_seg" 8(%4), %%eax\n"
-+ "8: movl "__copyuser_seg" 12(%4),%%edx\n"
++ "7: "__copyuser_seg" movl 8(%4), %%eax\n"
++ "8: "__copyuser_seg" movl 12(%4),%%edx\n"
+ "9: movl %%eax, 8(%3)\n"
+ "10: movl %%edx, 12(%3)\n"
-+ "11: movl "__copyuser_seg" 16(%4), %%eax\n"
-+ "12: movl "__copyuser_seg" 20(%4), %%edx\n"
++ "11: "__copyuser_seg" movl 16(%4), %%eax\n"
++ "12: "__copyuser_seg" movl 20(%4), %%edx\n"
+ "13: movl %%eax, 16(%3)\n"
+ "14: movl %%edx, 20(%3)\n"
-+ "15: movl "__copyuser_seg" 24(%4), %%eax\n"
-+ "16: movl "__copyuser_seg" 28(%4), %%edx\n"
++ "15: "__copyuser_seg" movl 24(%4), %%eax\n"
++ "16: "__copyuser_seg" movl 28(%4), %%edx\n"
+ "17: movl %%eax, 24(%3)\n"
+ "18: movl %%edx, 28(%3)\n"
-+ "19: movl "__copyuser_seg" 32(%4), %%eax\n"
-+ "20: movl "__copyuser_seg" 36(%4), %%edx\n"
++ "19: "__copyuser_seg" movl 32(%4), %%eax\n"
++ "20: "__copyuser_seg" movl 36(%4), %%edx\n"
+ "21: movl %%eax, 32(%3)\n"
+ "22: movl %%edx, 36(%3)\n"
-+ "23: movl "__copyuser_seg" 40(%4), %%eax\n"
-+ "24: movl "__copyuser_seg" 44(%4), %%edx\n"
++ "23: "__copyuser_seg" movl 40(%4), %%eax\n"
++ "24: "__copyuser_seg" movl 44(%4), %%edx\n"
+ "25: movl %%eax, 40(%3)\n"
+ "26: movl %%edx, 44(%3)\n"
-+ "27: movl "__copyuser_seg" 48(%4), %%eax\n"
-+ "28: movl "__copyuser_seg" 52(%4), %%edx\n"
++ "27: "__copyuser_seg" movl 48(%4), %%eax\n"
++ "28: "__copyuser_seg" movl 52(%4), %%edx\n"
+ "29: movl %%eax, 48(%3)\n"
+ "30: movl %%edx, 52(%3)\n"
-+ "31: movl "__copyuser_seg" 56(%4), %%eax\n"
-+ "32: movl "__copyuser_seg" 60(%4), %%edx\n"
++ "31: "__copyuser_seg" movl 56(%4), %%eax\n"
++ "32: "__copyuser_seg" movl 60(%4), %%edx\n"
+ "33: movl %%eax, 56(%3)\n"
+ "34: movl %%edx, 60(%3)\n"
+ " addl $-64, %0\n"
@@ -16826,9 +16826,9 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
+ " shrl $2, %0\n"
+ " andl $3, %%eax\n"
+ " cld\n"
-+ "99: rep; movsl "__copyuser_seg" (%%esi), (%%edi)\n"
++ "99: rep; "__copyuser_seg" movsl\n"
+ "36: movl %%eax, %0\n"
-+ "37: rep; movsb "__copyuser_seg" (%%esi), (%%edi)\n"
++ "37: rep; "__copyuser_seg" movsb\n"
+ "100:\n"
".section .fixup,\"ax\"\n"
"101: lea 0(%%eax,%0,4),%0\n"
@@ -16838,58 +16838,58 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
__asm__ __volatile__(
" .align 2,0x90\n"
- "0: movl 32(%4), %%eax\n"
-+ "0: movl "__copyuser_seg" 32(%4), %%eax\n"
++ "0: "__copyuser_seg" movl 32(%4), %%eax\n"
" cmpl $67, %0\n"
" jbe 2f\n"
- "1: movl 64(%4), %%eax\n"
-+ "1: movl "__copyuser_seg" 64(%4), %%eax\n"
++ "1: "__copyuser_seg" movl 64(%4), %%eax\n"
" .align 2,0x90\n"
- "2: movl 0(%4), %%eax\n"
- "21: movl 4(%4), %%edx\n"
-+ "2: movl "__copyuser_seg" 0(%4), %%eax\n"
-+ "21: movl "__copyuser_seg" 4(%4), %%edx\n"
++ "2: "__copyuser_seg" movl 0(%4), %%eax\n"
++ "21: "__copyuser_seg" movl 4(%4), %%edx\n"
" movl %%eax, 0(%3)\n"
" movl %%edx, 4(%3)\n"
- "3: movl 8(%4), %%eax\n"
- "31: movl 12(%4),%%edx\n"
-+ "3: movl "__copyuser_seg" 8(%4), %%eax\n"
-+ "31: movl "__copyuser_seg" 12(%4),%%edx\n"
++ "3: "__copyuser_seg" movl 8(%4), %%eax\n"
++ "31: "__copyuser_seg" movl 12(%4),%%edx\n"
" movl %%eax, 8(%3)\n"
" movl %%edx, 12(%3)\n"
- "4: movl 16(%4), %%eax\n"
- "41: movl 20(%4), %%edx\n"
-+ "4: movl "__copyuser_seg" 16(%4), %%eax\n"
-+ "41: movl "__copyuser_seg" 20(%4), %%edx\n"
++ "4: "__copyuser_seg" movl 16(%4), %%eax\n"
++ "41: "__copyuser_seg" movl 20(%4), %%edx\n"
" movl %%eax, 16(%3)\n"
" movl %%edx, 20(%3)\n"
- "10: movl 24(%4), %%eax\n"
- "51: movl 28(%4), %%edx\n"
-+ "10: movl "__copyuser_seg" 24(%4), %%eax\n"
-+ "51: movl "__copyuser_seg" 28(%4), %%edx\n"
++ "10: "__copyuser_seg" movl 24(%4), %%eax\n"
++ "51: "__copyuser_seg" movl 28(%4), %%edx\n"
" movl %%eax, 24(%3)\n"
" movl %%edx, 28(%3)\n"
- "11: movl 32(%4), %%eax\n"
- "61: movl 36(%4), %%edx\n"
-+ "11: movl "__copyuser_seg" 32(%4), %%eax\n"
-+ "61: movl "__copyuser_seg" 36(%4), %%edx\n"
++ "11: "__copyuser_seg" movl 32(%4), %%eax\n"
++ "61: "__copyuser_seg" movl 36(%4), %%edx\n"
" movl %%eax, 32(%3)\n"
" movl %%edx, 36(%3)\n"
- "12: movl 40(%4), %%eax\n"
- "71: movl 44(%4), %%edx\n"
-+ "12: movl "__copyuser_seg" 40(%4), %%eax\n"
-+ "71: movl "__copyuser_seg" 44(%4), %%edx\n"
++ "12: "__copyuser_seg" movl 40(%4), %%eax\n"
++ "71: "__copyuser_seg" movl 44(%4), %%edx\n"
" movl %%eax, 40(%3)\n"
" movl %%edx, 44(%3)\n"
- "13: movl 48(%4), %%eax\n"
- "81: movl 52(%4), %%edx\n"
-+ "13: movl "__copyuser_seg" 48(%4), %%eax\n"
-+ "81: movl "__copyuser_seg" 52(%4), %%edx\n"
++ "13: "__copyuser_seg" movl 48(%4), %%eax\n"
++ "81: "__copyuser_seg" movl 52(%4), %%edx\n"
" movl %%eax, 48(%3)\n"
" movl %%edx, 52(%3)\n"
- "14: movl 56(%4), %%eax\n"
- "91: movl 60(%4), %%edx\n"
-+ "14: movl "__copyuser_seg" 56(%4), %%eax\n"
-+ "91: movl "__copyuser_seg" 60(%4), %%edx\n"
++ "14: "__copyuser_seg" movl 56(%4), %%eax\n"
++ "91: "__copyuser_seg" movl 60(%4), %%edx\n"
" movl %%eax, 56(%3)\n"
" movl %%edx, 60(%3)\n"
" addl $-64, %0\n"
@@ -16898,10 +16898,10 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
" andl $3, %%eax\n"
" cld\n"
- "6: rep; movsl\n"
-+ "6: rep; movsl "__copyuser_seg" (%%esi), (%%edi)\n"
++ "6: rep; "__copyuser_seg" movsl\n"
" movl %%eax,%0\n"
- "7: rep; movsb\n"
-+ "7: rep; movsb "__copyuser_seg" (%%esi), (%%edi)\n"
++ "7: rep; "__copyuser_seg" movsb\n"
"8:\n"
".section .fixup,\"ax\"\n"
"9: lea 0(%%eax,%0,4),%0\n"
@@ -16910,58 +16910,58 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
__asm__ __volatile__(
" .align 2,0x90\n"
- "0: movl 32(%4), %%eax\n"
-+ "0: movl "__copyuser_seg" 32(%4), %%eax\n"
++ "0: "__copyuser_seg" movl 32(%4), %%eax\n"
" cmpl $67, %0\n"
" jbe 2f\n"
- "1: movl 64(%4), %%eax\n"
-+ "1: movl "__copyuser_seg" 64(%4), %%eax\n"
++ "1: "__copyuser_seg" movl 64(%4), %%eax\n"
" .align 2,0x90\n"
- "2: movl 0(%4), %%eax\n"
- "21: movl 4(%4), %%edx\n"
-+ "2: movl "__copyuser_seg" 0(%4), %%eax\n"
-+ "21: movl "__copyuser_seg" 4(%4), %%edx\n"
++ "2: "__copyuser_seg" movl 0(%4), %%eax\n"
++ "21: "__copyuser_seg" movl 4(%4), %%edx\n"
" movnti %%eax, 0(%3)\n"
" movnti %%edx, 4(%3)\n"
- "3: movl 8(%4), %%eax\n"
- "31: movl 12(%4),%%edx\n"
-+ "3: movl "__copyuser_seg" 8(%4), %%eax\n"
-+ "31: movl "__copyuser_seg" 12(%4),%%edx\n"
++ "3: "__copyuser_seg" movl 8(%4), %%eax\n"
++ "31: "__copyuser_seg" movl 12(%4),%%edx\n"
" movnti %%eax, 8(%3)\n"
" movnti %%edx, 12(%3)\n"
- "4: movl 16(%4), %%eax\n"
- "41: movl 20(%4), %%edx\n"
-+ "4: movl "__copyuser_seg" 16(%4), %%eax\n"
-+ "41: movl "__copyuser_seg" 20(%4), %%edx\n"
++ "4: "__copyuser_seg" movl 16(%4), %%eax\n"
++ "41: "__copyuser_seg" movl 20(%4), %%edx\n"
" movnti %%eax, 16(%3)\n"
" movnti %%edx, 20(%3)\n"
- "10: movl 24(%4), %%eax\n"
- "51: movl 28(%4), %%edx\n"
-+ "10: movl "__copyuser_seg" 24(%4), %%eax\n"
-+ "51: movl "__copyuser_seg" 28(%4), %%edx\n"
++ "10: "__copyuser_seg" movl 24(%4), %%eax\n"
++ "51: "__copyuser_seg" movl 28(%4), %%edx\n"
" movnti %%eax, 24(%3)\n"
" movnti %%edx, 28(%3)\n"
- "11: movl 32(%4), %%eax\n"
- "61: movl 36(%4), %%edx\n"
-+ "11: movl "__copyuser_seg" 32(%4), %%eax\n"
-+ "61: movl "__copyuser_seg" 36(%4), %%edx\n"
++ "11: "__copyuser_seg" movl 32(%4), %%eax\n"
++ "61: "__copyuser_seg" movl 36(%4), %%edx\n"
" movnti %%eax, 32(%3)\n"
" movnti %%edx, 36(%3)\n"
- "12: movl 40(%4), %%eax\n"
- "71: movl 44(%4), %%edx\n"
-+ "12: movl "__copyuser_seg" 40(%4), %%eax\n"
-+ "71: movl "__copyuser_seg" 44(%4), %%edx\n"
++ "12: "__copyuser_seg" movl 40(%4), %%eax\n"
++ "71: "__copyuser_seg" movl 44(%4), %%edx\n"
" movnti %%eax, 40(%3)\n"
" movnti %%edx, 44(%3)\n"
- "13: movl 48(%4), %%eax\n"
- "81: movl 52(%4), %%edx\n"
-+ "13: movl "__copyuser_seg" 48(%4), %%eax\n"
-+ "81: movl "__copyuser_seg" 52(%4), %%edx\n"
++ "13: "__copyuser_seg" movl 48(%4), %%eax\n"
++ "81: "__copyuser_seg" movl 52(%4), %%edx\n"
" movnti %%eax, 48(%3)\n"
" movnti %%edx, 52(%3)\n"
- "14: movl 56(%4), %%eax\n"
- "91: movl 60(%4), %%edx\n"
-+ "14: movl "__copyuser_seg" 56(%4), %%eax\n"
-+ "91: movl "__copyuser_seg" 60(%4), %%edx\n"
++ "14: "__copyuser_seg" movl 56(%4), %%eax\n"
++ "91: "__copyuser_seg" movl 60(%4), %%edx\n"
" movnti %%eax, 56(%3)\n"
" movnti %%edx, 60(%3)\n"
" addl $-64, %0\n"
@@ -16970,10 +16970,10 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
" andl $3, %%eax\n"
" cld\n"
- "6: rep; movsl\n"
-+ "6: rep; movsl "__copyuser_seg" (%%esi), (%%edi)\n"
++ "6: rep; "__copyuser_seg" movsl\n"
" movl %%eax,%0\n"
- "7: rep; movsb\n"
-+ "7: rep; movsb "__copyuser_seg" (%%esi), (%%edi)\n"
++ "7: rep; "__copyuser_seg" movsb\n"
"8:\n"
".section .fixup,\"ax\"\n"
"9: lea 0(%%eax,%0,4),%0\n"
@@ -16982,58 +16982,58 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
__asm__ __volatile__(
" .align 2,0x90\n"
- "0: movl 32(%4), %%eax\n"
-+ "0: movl "__copyuser_seg" 32(%4), %%eax\n"
++ "0: "__copyuser_seg" movl 32(%4), %%eax\n"
" cmpl $67, %0\n"
" jbe 2f\n"
- "1: movl 64(%4), %%eax\n"
-+ "1: movl "__copyuser_seg" 64(%4), %%eax\n"
++ "1: "__copyuser_seg" movl 64(%4), %%eax\n"
" .align 2,0x90\n"
- "2: movl 0(%4), %%eax\n"
- "21: movl 4(%4), %%edx\n"
-+ "2: movl "__copyuser_seg" 0(%4), %%eax\n"
-+ "21: movl "__copyuser_seg" 4(%4), %%edx\n"
++ "2: "__copyuser_seg" movl 0(%4), %%eax\n"
++ "21: "__copyuser_seg" movl 4(%4), %%edx\n"
" movnti %%eax, 0(%3)\n"
" movnti %%edx, 4(%3)\n"
- "3: movl 8(%4), %%eax\n"
- "31: movl 12(%4),%%edx\n"
-+ "3: movl "__copyuser_seg" 8(%4), %%eax\n"
-+ "31: movl "__copyuser_seg" 12(%4),%%edx\n"
++ "3: "__copyuser_seg" movl 8(%4), %%eax\n"
++ "31: "__copyuser_seg" movl 12(%4),%%edx\n"
" movnti %%eax, 8(%3)\n"
" movnti %%edx, 12(%3)\n"
- "4: movl 16(%4), %%eax\n"
- "41: movl 20(%4), %%edx\n"
-+ "4: movl "__copyuser_seg" 16(%4), %%eax\n"
-+ "41: movl "__copyuser_seg" 20(%4), %%edx\n"
++ "4: "__copyuser_seg" movl 16(%4), %%eax\n"
++ "41: "__copyuser_seg" movl 20(%4), %%edx\n"
" movnti %%eax, 16(%3)\n"
" movnti %%edx, 20(%3)\n"
- "10: movl 24(%4), %%eax\n"
- "51: movl 28(%4), %%edx\n"
-+ "10: movl "__copyuser_seg" 24(%4), %%eax\n"
-+ "51: movl "__copyuser_seg" 28(%4), %%edx\n"
++ "10: "__copyuser_seg" movl 24(%4), %%eax\n"
++ "51: "__copyuser_seg" movl 28(%4), %%edx\n"
" movnti %%eax, 24(%3)\n"
" movnti %%edx, 28(%3)\n"
- "11: movl 32(%4), %%eax\n"
- "61: movl 36(%4), %%edx\n"
-+ "11: movl "__copyuser_seg" 32(%4), %%eax\n"
-+ "61: movl "__copyuser_seg" 36(%4), %%edx\n"
++ "11: "__copyuser_seg" movl 32(%4), %%eax\n"
++ "61: "__copyuser_seg" movl 36(%4), %%edx\n"
" movnti %%eax, 32(%3)\n"
" movnti %%edx, 36(%3)\n"
- "12: movl 40(%4), %%eax\n"
- "71: movl 44(%4), %%edx\n"
-+ "12: movl "__copyuser_seg" 40(%4), %%eax\n"
-+ "71: movl "__copyuser_seg" 44(%4), %%edx\n"
++ "12: "__copyuser_seg" movl 40(%4), %%eax\n"
++ "71: "__copyuser_seg" movl 44(%4), %%edx\n"
" movnti %%eax, 40(%3)\n"
" movnti %%edx, 44(%3)\n"
- "13: movl 48(%4), %%eax\n"
- "81: movl 52(%4), %%edx\n"
-+ "13: movl "__copyuser_seg" 48(%4), %%eax\n"
-+ "81: movl "__copyuser_seg" 52(%4), %%edx\n"
++ "13: "__copyuser_seg" movl 48(%4), %%eax\n"
++ "81: "__copyuser_seg" movl 52(%4), %%edx\n"
" movnti %%eax, 48(%3)\n"
" movnti %%edx, 52(%3)\n"
- "14: movl 56(%4), %%eax\n"
- "91: movl 60(%4), %%edx\n"
-+ "14: movl "__copyuser_seg" 56(%4), %%eax\n"
-+ "91: movl "__copyuser_seg" 60(%4), %%edx\n"
++ "14: "__copyuser_seg" movl 56(%4), %%eax\n"
++ "91: "__copyuser_seg" movl 60(%4), %%edx\n"
" movnti %%eax, 56(%3)\n"
" movnti %%edx, 60(%3)\n"
" addl $-64, %0\n"
@@ -17042,10 +17042,10 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
" andl $3, %%eax\n"
" cld\n"
- "6: rep; movsl\n"
-+ "6: rep; movsl "__copyuser_seg" (%%esi), (%%edi)\n"
++ "6: rep; "__copyuser_seg" movsl\n"
" movl %%eax,%0\n"
- "7: rep; movsb\n"
-+ "7: rep; movsb "__copyuser_seg" (%%esi), (%%edi)\n"
++ "7: rep; "__copyuser_seg" movsb\n"
"8:\n"
".section .fixup,\"ax\"\n"
"9: lea 0(%%eax,%0,4),%0\n"
@@ -17076,16 +17076,16 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
" andl $7,%0\n" \
" subl %0,%3\n" \
- "4: rep; movsb\n" \
-+ "4: rep; movsb "prefix" (%%esi), (%%edi)\n" \
++ "4: rep; "prefix"movsb\n" \
" movl %3,%0\n" \
" shrl $2,%0\n" \
" andl $3,%3\n" \
" .align 2,0x90\n" \
- "0: rep; movsl\n" \
-+ "0: rep; movsl "prefix" (%%esi), (%%edi)\n" \
++ "0: rep; "prefix"movsl\n" \
" movl %3,%0\n" \
- "1: rep; movsb\n" \
-+ "1: rep; movsb "prefix" (%%esi), (%%edi)\n" \
++ "1: rep; "prefix"movsb\n" \
"2:\n" \
+ restore \
".section .fixup,\"ax\"\n" \
@@ -17096,16 +17096,16 @@ diff -urNp linux-2.6.37.3/arch/x86/lib/usercopy_32.c linux-2.6.37.3/arch/x86/lib
" andl $7,%0\n" \
" subl %0,%3\n" \
- "4: rep; movsb\n" \
-+ "4: rep; movsb "__copyuser_seg" (%%esi), (%%edi)\n" \
++ "4: rep; "__copyuser_seg"movsb\n" \
" movl %3,%0\n" \
" shrl $2,%0\n" \
" andl $3,%3\n" \
" .align 2,0x90\n" \
- "0: rep; movsl\n" \
-+ "0: rep; movsl "__copyuser_seg" (%%esi), (%%edi)\n" \
++ "0: rep; "__copyuser_seg"movsl\n" \
" movl %3,%0\n" \
- "1: rep; movsb\n" \
-+ "1: rep; movsb "__copyuser_seg" (%%esi), (%%edi)\n" \
++ "1: rep; "__copyuser_seg"movsb\n" \
"2:\n" \
".section .fixup,\"ax\"\n" \
"5: addl %3,%0\n" \
@@ -17365,7 +17365,7 @@ diff -urNp linux-2.6.37.3/arch/x86/mm/extable.c linux-2.6.37.3/arch/x86/mm/extab
pnp_bios_is_utter_crap = 1;
diff -urNp linux-2.6.37.3/arch/x86/mm/fault.c linux-2.6.37.3/arch/x86/mm/fault.c
--- linux-2.6.37.3/arch/x86/mm/fault.c 2011-01-04 19:50:19.000000000 -0500
-+++ linux-2.6.37.3/arch/x86/mm/fault.c 2011-01-17 02:41:01.000000000 -0500
++++ linux-2.6.37.3/arch/x86/mm/fault.c 2011-03-12 22:50:25.000000000 -0500
@@ -12,10 +12,18 @@
#include <linux/mmiotrace.h> /* kmmio_handler, ... */
#include <linux/perf_event.h> /* perf_sw_event */
@@ -17715,7 +17715,7 @@ diff -urNp linux-2.6.37.3/arch/x86/mm/fault.c linux-2.6.37.3/arch/x86/mm/fault.c
+ */
+ "invlpg (%0)\n"
+#endif
-+ "testb $0,"__copyuser_seg"(%0)\n"
++ __copyuser_seg"testb $0,(%0)\n"
+ "xorb %3,(%1)\n"
+ :
+ : "r" (address), "r" (pte), "q" (pte_mask), "i" (_PAGE_USER)
@@ -24576,7 +24576,7 @@ diff -urNp linux-2.6.37.3/drivers/gpu/drm/drm_global.c linux-2.6.37.3/drivers/gp
}
diff -urNp linux-2.6.37.3/drivers/gpu/drm/drm_info.c linux-2.6.37.3/drivers/gpu/drm/drm_info.c
--- linux-2.6.37.3/drivers/gpu/drm/drm_info.c 2011-01-04 19:50:19.000000000 -0500
-+++ linux-2.6.37.3/drivers/gpu/drm/drm_info.c 2011-01-17 02:41:01.000000000 -0500
++++ linux-2.6.37.3/drivers/gpu/drm/drm_info.c 2011-03-12 19:51:43.000000000 -0500
@@ -86,10 +86,14 @@ int drm_vm_info(struct seq_file *m, void
struct drm_local_map *map;
struct drm_map_list *r_list;
@@ -24605,6 +24605,43 @@ diff -urNp linux-2.6.37.3/drivers/gpu/drm/drm_info.c linux-2.6.37.3/drivers/gpu/
type = "??";
else
type = types[map->type];
+@@ -285,7 +289,11 @@ int drm_vma_info(struct seq_file *m, voi
+ mutex_lock(&dev->struct_mutex);
+ seq_printf(m, "vma use count: %d, high_memory = %p, 0x%08llx\n",
+ atomic_read(&dev->vma_count),
++#ifdef CONFIG_GRKERNSEC_HIDESYM
++ NULL, 0);
++#else
+ high_memory, (u64)virt_to_phys(high_memory));
++#endif
+
+ list_for_each_entry(pt, &dev->vmalist, head) {
+ vma = pt->vma;
+@@ -293,14 +301,23 @@ int drm_vma_info(struct seq_file *m, voi
+ continue;
+ seq_printf(m,
+ "\n%5d 0x%08lx-0x%08lx %c%c%c%c%c%c 0x%08lx000",
+- pt->pid, vma->vm_start, vma->vm_end,
++ pt->pid,
++#ifdef CONFIG_GRKERNSEC_HIDESYM
++ 0, 0,
++#else
++ vma->vm_start, vma->vm_end,
++#endif
+ vma->vm_flags & VM_READ ? 'r' : '-',
+ vma->vm_flags & VM_WRITE ? 'w' : '-',
+ vma->vm_flags & VM_EXEC ? 'x' : '-',
+ vma->vm_flags & VM_MAYSHARE ? 's' : 'p',
+ vma->vm_flags & VM_LOCKED ? 'l' : '-',
+ vma->vm_flags & VM_IO ? 'i' : '-',
++#ifdef CONFIG_GRKERNSEC_HIDESYM
++ 0);
++#else
+ vma->vm_pgoff);
++#endif
+
+ #if defined(__i386__)
+ pgprot = pgprot_val(vma->vm_page_prot);
diff -urNp linux-2.6.37.3/drivers/gpu/drm/drm_ioctl.c linux-2.6.37.3/drivers/gpu/drm/drm_ioctl.c
--- linux-2.6.37.3/drivers/gpu/drm/drm_ioctl.c 2011-01-04 19:50:19.000000000 -0500
+++ linux-2.6.37.3/drivers/gpu/drm/drm_ioctl.c 2011-01-17 02:41:01.000000000 -0500
@@ -56488,7 +56525,7 @@ diff -urNp linux-2.6.37.3/net/atm/atm_misc.c linux-2.6.37.3/net/atm/atm_misc.c
}
diff -urNp linux-2.6.37.3/net/atm/proc.c linux-2.6.37.3/net/atm/proc.c
--- linux-2.6.37.3/net/atm/proc.c 2011-01-04 19:50:19.000000000 -0500
-+++ linux-2.6.37.3/net/atm/proc.c 2011-01-17 02:41:02.000000000 -0500
++++ linux-2.6.37.3/net/atm/proc.c 2011-03-12 19:47:22.000000000 -0500
@@ -45,9 +45,9 @@ static void add_stats(struct seq_file *s
const struct k_atm_aal_stats *stats)
{
@@ -56515,6 +56552,18 @@ diff -urNp linux-2.6.37.3/net/atm/proc.c linux-2.6.37.3/net/atm/proc.c
if (!vcc->dev)
seq_printf(seq, "Unassigned ");
else
+@@ -218,7 +223,11 @@ static void svc_info(struct seq_file *se
+ {
+ if (!vcc->dev)
+ seq_printf(seq, sizeof(void *) == 4 ?
++#ifdef CONFIG_GRKERNSEC_HIDESYM
++ "N/A@%p%10s" : "N/A@%p%2s", NULL, "");
++#else
+ "N/A@%p%10s" : "N/A@%p%2s", vcc, "");
++#endif
+ else
+ seq_printf(seq, "%3d %3d %5d ",
+ vcc->dev->number, vcc->vpi, vcc->vci);
diff -urNp linux-2.6.37.3/net/atm/resources.c linux-2.6.37.3/net/atm/resources.c
--- linux-2.6.37.3/net/atm/resources.c 2011-01-04 19:50:19.000000000 -0500
+++ linux-2.6.37.3/net/atm/resources.c 2011-01-17 02:41:02.000000000 -0500
@@ -56613,6 +56662,25 @@ diff -urNp linux-2.6.37.3/net/bridge/netfilter/ebtables.c linux-2.6.37.3/net/bri
BUGPRINT("c2u Didn't work\n");
ret = -EFAULT;
break;
+diff -urNp linux-2.6.37.3/net/can/bcm.c linux-2.6.37.3/net/can/bcm.c
+--- linux-2.6.37.3/net/can/bcm.c 2011-01-04 19:50:19.000000000 -0500
++++ linux-2.6.37.3/net/can/bcm.c 2011-03-12 19:49:01.000000000 -0500
+@@ -165,9 +165,15 @@ static int bcm_proc_show(struct seq_file
+ struct bcm_sock *bo = bcm_sk(sk);
+ struct bcm_op *op;
+
++#ifdef CONFIG_GRKERNSEC_HIDESYM
++ seq_printf(m, ">>> socket %p", NULL);
++ seq_printf(m, " / sk %p", NULL);
++ seq_printf(m, " / bo %p", NULL);
++#else
+ seq_printf(m, ">>> socket %p", sk->sk_socket);
+ seq_printf(m, " / sk %p", sk);
+ seq_printf(m, " / bo %p", bo);
++#endif
+ seq_printf(m, " / dropped %lu", bo->dropped_usr_msgs);
+ seq_printf(m, " / bound %s", bcm_proc_getifname(ifname, bo->ifindex));
+ seq_printf(m, " <<<\n");
diff -urNp linux-2.6.37.3/net/core/dev.c linux-2.6.37.3/net/core/dev.c
--- linux-2.6.37.3/net/core/dev.c 2011-02-27 14:49:17.000000000 -0500
+++ linux-2.6.37.3/net/core/dev.c 2011-02-28 18:08:16.000000000 -0500
diff --git a/testing/monkeysphere/APKBUILD b/main/monkeysphere/APKBUILD
index bf11966175..bf11966175 100644
--- a/testing/monkeysphere/APKBUILD
+++ b/main/monkeysphere/APKBUILD
diff --git a/testing/freeciv/APKBUILD b/testing/freeciv/APKBUILD
new file mode 100644
index 0000000000..91ac2fa592
--- /dev/null
+++ b/testing/freeciv/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=freeciv
+pkgver=2.2.5
+pkgrel=0
+pkgdesc="civilization 2 clone"
+url="http://freeciv.wikia.org/"
+arch="all"
+license="GPL"
+depends="$pkgname-server"
+makedepends="gtk+-dev gzip"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-server"
+source="http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+server() {
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/freeciv-server "$subpkgdir"/usr/bin/freeciv-server
+}
+
+md5sums="e717de02c77139593f21b930245d1709 freeciv-2.2.5.tar.bz2"
diff --git a/testing/ices2/APKBUILD b/testing/ices2/APKBUILD
new file mode 100644
index 0000000000..d37eb81966
--- /dev/null
+++ b/testing/ices2/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer:
+pkgname=ices2
+_pkgname=ices
+pkgver=2.0.1
+pkgrel=0
+pkgdesc="source client for broadcasting in Ogg Vorbis format to an icecast2 server."
+url="http://icecast.org/ices.php"
+arch="all"
+license="GPL"
+depends=
+depends_dev="libogg-dev libxml2-dev libvorbis-dev libshout-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://downloads.us.xiph.org/releases/ices/$_pkgname-$pkgver.tar.gz"
+
+_builddir=$srcdir/$_pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="0d95ac34d59fed337028d5e7771076d8 ices-2.0.1.tar.gz"
diff --git a/testing/imake/APKBUILD b/testing/imake/APKBUILD
index 21de619d80..64704c637a 100644
--- a/testing/imake/APKBUILD
+++ b/testing/imake/APKBUILD
@@ -1,5 +1,4 @@
-# Contributor:
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=imake
pkgver=1.0.4
pkgrel=0
diff --git a/testing/lua-posixtz/APKBUILD b/testing/lua-posixtz/APKBUILD
new file mode 100644
index 0000000000..96278f13d7
--- /dev/null
+++ b/testing/lua-posixtz/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=lua-posixtz
+pkgver=0.1
+pkgrel=0
+pkgdesc="Lua module to extract POSIX timezone from tzdata"
+url="http://git.alpinelinux.org/cgit/ncopa/posixtz.git/"
+arch="all"
+license="GPLv2"
+depends=
+makedepends=
+install=
+subpackages=
+source="http://git.alpinelinux.org/cgit/ncopa/posixtz.git/snapshot/posixtz-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/posixtz-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make posixtz.so || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -D posixtz.so "$pkgdir"/usr/lib/lua/5.1/posixtz.so
+}
+
+md5sums="be1ca94f79abfa367b4c54a51737ba91 posixtz-0.1.tar.bz2"
diff --git a/testing/nsd/0010-stop-unlink-pid-error.patch b/testing/nsd/0010-stop-unlink-pid-error.patch
new file mode 100644
index 0000000000..24175df337
--- /dev/null
+++ b/testing/nsd/0010-stop-unlink-pid-error.patch
@@ -0,0 +1,26 @@
+This patch prevents nsd from attempting to unlink the pidfile on nsd
+shutdown. The reason for this is because we get a permission denied
+error in nsd.log when it attempts to do so.
+
+I think this is needed because of how normal OpenRC init scripts are
+designed and handled.
+
+See the included /etc/init.d/nsd (nsd.initd) for my conversion of the
+nsdc script that's normally distributed with nsd. The included nsdc
+script is a wrapper for the converted OpenRC init script, designed to
+maintain compatibility.
+
+Matt Smith <msmith@alpinelinux.org>
+
+
+--- a/server.c
++++ b/server.c
+@@ -1167,7 +1167,7 @@
+ close(fd);
+
+ /* Unlink it if possible... */
+- unlinkpid(nsd->pidfile);
++ //unlinkpid(nsd->pidfile);
+
+ if(reload_listener.fd > 0) {
+ sig_atomic_t cmd = NSD_QUIT;
diff --git a/testing/nsd/APKBUILD b/testing/nsd/APKBUILD
new file mode 100644
index 0000000000..3c7f9828c4
--- /dev/null
+++ b/testing/nsd/APKBUILD
@@ -0,0 +1,76 @@
+# Contributor: Matt Smith <msmith@alpinelinux.org>
+# Maintainer: Matt Smith <msmith@alpinelinux.org>
+pkgname=nsd
+pkgver=3.2.7
+pkgrel=0
+pkgdesc="NSD is an authoritative only, high performance, simple and open source name server."
+url="http://www.nlnetlabs.nl/projects/nsd/"
+arch="all"
+license="BSD"
+depends=
+depends_dev=
+makedepends="$depends_dev openssl-dev"
+install="$pkgname.pre-install $pkgname.post-deinstall"
+subpackages="$pkgname-doc"
+pkgusers="nsd"
+pkggroups="nsd"
+source="http://www.nlnetlabs.nl/downloads/nsd/nsd-3.2.7.tar.gz
+ 0010-stop-unlink-pid-error.patch
+ nsdc
+ nsd.initd
+ nsd.confd
+ "
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+
+ ./configure \
+ --sbindir=/usr/sbin \
+ --mandir=/usr/share/man \
+ --with-user=nsd \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ install -m755 -D "$srcdir"/nsdc \
+ "$pkgdir"/usr/sbin/nsdc || return 1
+ install -m755 -D "$srcdir"/$pkgname.initd \
+ "$pkgdir"/etc/init.d/nsd || return 1
+ install -m644 -D "$srcdir"/$pkgname.confd \
+ "$pkgdir"/etc/conf.d/nsd || return 1
+
+ chown nsd:nsd "$pkgdir"/var/db/nsd
+}
+
+doc() {
+ arch="noarch"
+
+ mkdir -p "$subpkgdir"/usr/share/doc/$pkgname || return 1
+ cp -a "$_builddir"/doc/* \
+ "$subpkgdir"/usr/share/doc/$pkgname/ || return 1
+ cp -a "$_builddir"/contrib/ \
+ "$subpkgdir"/usr/share/doc/$pkgname/ || return 1
+ mv "$pkgdir"/usr/share/man \
+ "$subpkgdir"/usr/share/man || return 1
+}
+
+md5sums="b5aca8a207f77db566b08db25bf77d74 nsd-3.2.7.tar.gz
+cc592572846b978a6f52130a8e518ab3 0010-stop-unlink-pid-error.patch
+3aa94004a39319db89a329e9f24fb9da nsdc
+4c0eef07caac9083aeeb9b15602d014d nsd.initd
+37bd648259fdd919c79aaa0168b4423c nsd.confd"
diff --git a/testing/nsd/nsd.confd b/testing/nsd/nsd.confd
new file mode 100644
index 0000000000..e37f716baf
--- /dev/null
+++ b/testing/nsd/nsd.confd
@@ -0,0 +1,15 @@
+#
+# Specify nsd options here.
+#
+
+# configuration file default
+configfile="/etc/nsd/nsd.conf"
+
+# The directory where NSD binaries reside
+sbindir="/usr/sbin"
+
+# how verbose is zonec run. Specify Nothing (empty string), -v or -vv.
+ZONEC_VERBOSE=-v
+
+# how patch is done. Specify 1 (with use of textfiles, default) or 0 (without)
+PATCH_STYLE=1
diff --git a/testing/nsd/nsd.initd b/testing/nsd/nsd.initd
new file mode 100644
index 0000000000..f400080494
--- /dev/null
+++ b/testing/nsd/nsd.initd
@@ -0,0 +1,420 @@
+#!/sbin/runscript
+#
+# nsdc.sh -- a shell script to manage the beast
+#
+# Copyright (c) 2001-2006, NLnet Labs. All rights reserved.
+#
+# See LICENSE for the license.
+#
+# OpenRC conversion by Matt Smith <msmith@alpinelinux.org>
+#
+#
+
+name=nsd
+daemon=/usr/sbin/${name}
+initd=/etc/init.d/${name}
+
+description="NSD, authoritative only high performance name server."
+
+extra_commands="stats reload running patch rebuild update notify do_start do_stop"
+description_reload="Reloads the nsd database file."
+description_running="Prints message and exits nonzero if server is not running."
+description_patch="Merge zone transfer changes back to zone files."
+description_rebuild="Compile database file from zone files."
+description_update="Try to update all slave zones hosted on this server."
+description_notify="Send notify messages to all secondary servers."
+description_do_start="Internal command; use 'start' instead."
+description_do_stop="Internal command; use 'stop' instead."
+
+depend() {
+ need net
+ after firewall
+}
+
+#
+# You sure heard this many times before: NO USER SERVICEABLE PARTS BELOW
+#
+
+# see if user selects a different config file, with -c <filename>
+if test "x$1" = "x-c"; then
+ shift
+ if [ -e $1 ]; then
+ configfile=$1
+ shift
+ else
+ echo "`basename $0`: Config file "$1" does not exist."
+ exit 1
+ fi
+fi
+
+# locate nsd-checkconf : in sbindir, PATH, nsdc_dir or .
+nsd_checkconf=""
+if [ -e ${sbindir}/nsd-checkconf ]; then
+ nsd_checkconf=${sbindir}/nsd-checkconf
+else
+ if which nsd-checkconf >/dev/null 2>&1 ; then
+ if which nsd-checkconf 2>&1 | grep "^[Nn]o " >/dev/null; then
+ nsd_checkconf=""
+ else
+ nsd_checkconf=`which nsd-checkconf`
+ fi
+ fi
+ if [ -z "${nsd_checkconf}" -a -e `dirname $0`/nsd-checkconf ]; then
+ nsd_checkconf=`dirname $0`/nsd-checkconf
+ fi
+ if [ -z "${nsd_checkconf}" -a -e ./nsd-checkconf ]; then
+ nsd_checkconf=./nsd-checkconf
+ fi
+ if [ -z "${nsd_checkconf}" ]; then
+ echo "`basename $0`: Could not find nsd programs" \
+ "in $sbindir, in PATH=$PATH, in cwd=`pwd`," \
+ "or in dir of nsdc=`dirname $0`"
+ exit 1
+ fi
+fi
+
+# check the config syntax before using it
+${nsd_checkconf} ${configfile}
+if test $? -ne 0 ; then
+ ${initd} describe
+ exit 1
+fi
+
+# Read some settings from the config file.
+dbfile=`${nsd_checkconf} -o database ${configfile}`
+pidfile=`${nsd_checkconf} -o pidfile ${configfile}`
+difffile=`${nsd_checkconf} -o difffile ${configfile}`
+zonesdir=`${nsd_checkconf} -o zonesdir ${configfile}`
+lockfile="${dbfile}.lock" # still needed
+sbindir=`dirname ${nsd_checkconf}`
+
+# move to zonesdir (if specified), and make absolute pathnames.
+if test -n "${zonesdir}"; then
+ zonesdir=`dirname ${zonesdir}/.`
+ if echo "${zonesdir}" | grep "^[^/]" >/dev/null; then
+ zonesdir=`pwd`/${zonesdir}
+ fi
+ if echo "${dbfile}" | grep "^[^/]" >/dev/null; then
+ dbfile=${zonesdir}/${dbfile}
+ fi
+ if echo "${pidfile}" | grep "^[^/]" >/dev/null; then
+ pidfile=${zonesdir}/${pidfile}
+ fi
+ if echo "${lockfile}" | grep "^[^/]" >/dev/null; then
+ lockfile=${zonesdir}/${lockfile}
+ fi
+ if echo "${difffile}" | grep "^[^/]" >/dev/null; then
+ difffile=${zonesdir}/${difffile}
+ fi
+fi
+
+# for bash: -C or noclobber. For tcsh: noclobber. For bourne: -C.
+noclobber_set="set -C"
+# ugly check for tcsh
+if echo /bin/sh | grep tcsh >/dev/null; then
+ noclobber_set="set noclobber"
+fi
+
+#
+# useful routines
+#
+signal() {
+ if [ -s ${pidfile} ]
+ then
+ kill -"$1" `cat ${pidfile}` && return 0
+ else
+ echo "nsd is not running"
+ fi
+ return 1
+}
+
+lock_file() {
+ (umask 222; ${noclobber_set}; echo "$$" >${lockfile})
+}
+
+lock() {
+ lock_file
+ if [ $? = 1 ]
+ then
+ # check if the lockfile has not gone stale
+ LPID=`cat ${lockfile}`
+ echo database locked by PID: $LPID
+ if kill -0 $LPID 2>/dev/null; then
+ exit 1
+ fi
+
+ # locking process does not exist, consider lockfile stale
+ echo stale lockfile, removing... && rm -f ${lockfile} && lock_file
+ fi
+
+ if [ $? = 1 ]
+ then
+ echo lock failed
+ exit 1
+ fi
+ return 0
+}
+
+unlock() {
+ rm -f ${lockfile}
+}
+
+do_start() {
+ if test -x ${sbindir}/nsd; then
+ ${sbindir}/nsd -c ${configfile}
+ test $? = 0 || (echo "nsd startup failed."; exit 1)
+ else
+ echo "${sbindir}/nsd not an executable file, nsd startup failed."; exit 1
+ fi
+}
+
+controlled_sleep() {
+ if [ $1 -ge 25 ]; then
+ sleep 1
+ fi
+}
+
+controlled_stop() {
+ pid=$1
+ try=1
+
+ while [ $try -ne 0 ]; do
+ if [ ${try} -gt 50 ]; then
+ echo "nsdc stop failed"
+ return 1
+ else
+ if [ $try -eq 1 ]; then
+ kill -TERM ${pid}
+ else
+ kill -TERM ${pid} >/dev/null 2>&1
+ fi
+
+ # really stopped?
+ kill -0 ${pid} >/dev/null 2>&1
+ if [ $? -eq 0 ]; then
+ controlled_sleep ${try}
+ try=`expr ${try} + 1`
+ else
+ try=0
+ fi
+ fi
+ done
+
+ return 0
+}
+
+do_controlled_stop() {
+ if [ -s ${pidfile} ]; then
+ pid=`cat ${pidfile}`
+ controlled_stop ${pid} && return 0
+ else
+ echo "nsd is not running, starting anyway" && return 0
+ fi
+ return 1
+}
+
+do_stop() {
+ signal "TERM"
+}
+
+do_reload() {
+ signal "HUP"
+}
+
+# send_updates zone_name {ip_spec key_spec}
+send_updates() {
+ local zonename=$1
+ shift 1
+ # extract port number (if any)
+ port=`${nsd_checkconf} -o port ${configfile}`
+ if test -n "${port}"; then
+ port="-p ${port}"
+ fi
+ update_sent="no"
+
+ while test $# -gt 0; do
+ ip_spec=$1
+ key_spec=$2
+ shift 2
+ # only localhost is allowed.
+ # see if zone has 127.0.0.1 or ::1 as allowed.
+ if test Z${ip_spec} = "Z127.0.0.1" -o Z${ip_spec} = "Z::1"; then
+ secret=""
+ if test K${key_spec} != KNOKEY -a K${key_spec} != KBLOCKED; then
+ secret=`${nsd_checkconf} -s ${key_spec} ${configfile}`
+ algo=`${nsd_checkconf} -a ${key_spec} ${configfile}`
+ secret="-y ${key_spec}:${secret}:${algo}"
+ fi
+ if test K${key_spec} != KBLOCKED; then
+ #echo "${sbindir}/nsd-notify -a ${ip_spec} ${port} ${secret} -z ${zonename} ${ip_spec}"
+ ${sbindir}/nsd-notify -a ${ip_spec} ${port} ${secret} -z ${zonename} ${ip_spec} && update_sent="yes"
+ fi
+ fi
+ done
+ if test ${update_sent} = no; then
+ req_xfr=`${nsd_checkconf} -z "${zonename}" -o request-xfr ${configfile}`
+ if test -n "${req_xfr}"; then
+ # must be a slave zone (has request-xfr).
+ echo "`basename $0`: Could not send notify for slave zone ${zonename}: not configured (with allow-notify: 127.0.0.1 or ::1)"
+ fi
+ fi
+}
+
+# send_notify zone_name ifc_spec {ip_spec key_spec}
+send_notify() {
+ local zonename=$1
+ # set local interface
+ ifc_spec=""
+ if test I$2 != INOIFC; then
+ ifc_spec="-a $2"
+ fi
+ shift 2
+
+ while test $# -gt 0; do
+ ip_spec=$1
+ key_spec=$2
+ shift 2
+ secret=""
+
+ if test K${key_spec} != KNOKEY -a K${key_spec} != KBLOCKED; then
+ secret=`${nsd_checkconf} -s ${key_spec} ${configfile}`
+ algo=`${nsd_checkconf} -a ${key_spec} ${configfile}`
+ secret="-y ${key_spec}:${secret}:${algo}"
+ fi
+ if test K${key_spec} != KBLOCKED; then
+ port=""
+ ipaddr=${ip_spec}
+ if echo ${ip_spec} | grep @ >/dev/null; then
+ port="-p "`echo ${ip_spec} | sed -e 's/[^@]*@\([0-9]*\)/\1/'`
+ ipaddr=`echo ${ip_spec} | sed -e 's/\([^@]*\)@[0-9]*/\1/'`
+ fi
+ #echo "${sbindir}/nsd-notify ${ifc_spec} ${port} ${secret} -z ${zonename} ${ipaddr}"
+ ${sbindir}/nsd-notify ${ifc_spec} ${port} ${secret} -z ${zonename} ${ipaddr}
+ fi
+ done
+}
+
+# do_patch {with-textfile}
+do_patch() {
+ if test I$1 = I1; then
+ lock && mv ${difffile} ${difffile}.$$ && \
+ ${sbindir}/nsd-patch -c ${configfile} -x ${difffile}.$$ && \
+ rm -f ${difffile}.$$ && unlock && do_rebuild
+ result=$?
+ else # without textfile
+ lock && mv ${difffile} ${difffile}.$$ && \
+ ${sbindir}/nsd-patch -c ${configfile} -x ${difffile}.$$ -s -o ${dbfile}.$$ \
+ && rm -f ${difffile}.$$ && unlock && \
+ mv ${dbfile}.$$ ${dbfile}
+ result=$?
+ fi
+
+ return ${result}
+}
+
+do_rebuild() {
+ lock && \
+ ${sbindir}/zonec ${ZONEC_VERBOSE} -c ${configfile} -f ${dbfile}.$$ && \
+ mv ${dbfile}.$$ ${dbfile}
+ result=$?
+ unlock
+ [ $result != 0 ] && echo "${dbfile} is unmodified"
+ rm -f ${dbfile}.$$
+ return ${result}
+}
+
+start() {
+ ebegin "Starting ${name}"
+ if test -s ${pidfile} && kill -"0" `cat ${pidfile}`
+ then
+ (echo "process `cat ${pidfile}` exists, please use restart"; exit 1)
+ else
+ start-stop-daemon --start --quiet \
+ --pidfile ${pidfile} \
+ --exec ${initd} -- do_start
+ fi
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${pidfile} \
+ --exec ${initd} -- do_stop
+ eend $?
+}
+
+stats() {
+ signal "USR1"
+}
+
+reload() {
+ do_reload
+}
+
+running() {
+ signal "0"
+}
+
+patch() {
+ # patch queue clearen
+ if test -s ${difffile}; then
+ #${sbindir}/nsd-patch -c ${configfile} -x ${difffile} -l #debug
+ #echo ${sbindir}/nsd-patch -c ${configfile} -x ${difffile}
+ if do_patch ${PATCH_STYLE}; then
+ do_reload
+ else
+ unlock
+ # try to move back the transfer data
+ if [ -e ${difffile}.$$ -a ! -e ${difffile} ]; then
+ mv ${difffile}.$$ ${difffile}
+ fi
+ echo "`basename $0`: patch failed."
+ exit 1
+ fi
+ else
+ echo "`basename $0`: no patch necessary."
+ fi
+}
+
+rebuild() {
+ do_rebuild
+}
+
+update() {
+ # send notifies to localhost for all zones that allow it
+ echo "Sending notify to localhost to update secondary zones..."
+ if [ -s ${pidfile} ]; then
+ zoneslist=`${nsd_checkconf} -o zones ${configfile}`
+ for zonename in ${zoneslist}; do
+ notify_allow=`${nsd_checkconf} -z "${zonename}" -o allow-notify ${configfile}`
+ if test "" != "${notify_allow}"; then
+ send_updates ${zonename} ${notify_allow}
+ fi
+ done
+ else
+ echo "nsd is not running"
+ fi
+}
+
+notify() {
+ # send notifies to all slaves
+ echo "Sending notify to slave servers..."
+ zoneslist=`${nsd_checkconf} -o zones ${configfile}`
+ for zonename in ${zoneslist}; do
+ notify=`${nsd_checkconf} -z "${zonename}" -o notify ${configfile}`
+ local_ifc=`${nsd_checkconf} -z "${zonename}" -o outgoing-interface ${configfile}`
+ if test "" = "${local_ifc}"; then
+ local_ifc="NOIFC"
+ fi
+ if test "" != "${notify}"; then
+ for ifc in ${local_ifc}; do
+ send_notify ${zonename} ${ifc} ${notify}
+ done
+ fi
+ done
+}
+
+restart() {
+ do_controlled_stop && do_start
+}
diff --git a/testing/nsd/nsd.post-deinstall b/testing/nsd/nsd.post-deinstall
new file mode 100644
index 0000000000..4d5fc40932
--- /dev/null
+++ b/testing/nsd/nsd.post-deinstall
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+deluser nsd 2>/dev/null
+exit 0
diff --git a/testing/nsd/nsd.pre-install b/testing/nsd/nsd.pre-install
new file mode 100644
index 0000000000..c7914445ea
--- /dev/null
+++ b/testing/nsd/nsd.pre-install
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+adduser -H -D -s /bin/false nsd 2>/dev/null
+exit 0
diff --git a/testing/nsd/nsdc b/testing/nsd/nsdc
new file mode 100644
index 0000000000..ff4cb5c6b7
--- /dev/null
+++ b/testing/nsd/nsdc
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# nsdc replacement script by Matt Smith <msmith@alpinelinux.org>
+#
+
+usage() {
+ echo "Usage: `basename $0` {start|stop|reload|rebuild|restart|"
+ echo " running|update|notify|patch}"
+ echo "commands:"
+ echo " start Start nsd server."
+ echo " stop Stop nsd server."
+ echo " reload Nsd server reloads database file."
+ echo " rebuild Compile database file from zone files."
+ echo " restart Stop the nsd server and start it again."
+ echo " running Prints message and exit nonzero if server not running."
+ echo " update Try to update all slave zones hosted on this server."
+ echo " notify Send notify messages to all secondary servers."
+ echo " patch Merge zone transfer changes back to zone files."
+}
+
+if [ $# -eq 0 ]; then
+ usage
+else
+ case "$1" in
+ "-h"|"--help")
+ usage;;
+ *)
+ /etc/init.d/nsd $*
+ esac
+fi
diff --git a/testing/perl-extutils-cchecker/APKBUILD b/testing/perl-extutils-cchecker/APKBUILD
index 8eeaf85771..6956a5bb14 100644
--- a/testing/perl-extutils-cchecker/APKBUILD
+++ b/testing/perl-extutils-cchecker/APKBUILD
@@ -3,13 +3,13 @@
pkgname=perl-extutils-cchecker
_pkgreal=ExtUtils-CChecker
pkgver=0.06
-pkgrel=0
+pkgrel=1
pkgdesc="Perl module configuration-time utilities for using C headers, libraries, or OS features"
url="http://search.cpan.org/dist/ExtUtils-CChecker/"
arch="noarch"
license="GPL PerlArtistic"
depends="perl-test-exception"
-makedepends="perl-dev perl-test-exception"
+makedepends="perl-dev"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/$_pkgreal-$pkgver.tar.gz"
diff --git a/testing/perl-socket-getaddrinfo/APKBUILD b/testing/perl-socket-getaddrinfo/APKBUILD
new file mode 100644
index 0000000000..1aaf72709a
--- /dev/null
+++ b/testing/perl-socket-getaddrinfo/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+# Maintainer:
+pkgname=perl-socket-getaddrinfo
+_pkgreal=Socket-GetAddrInfo
+pkgver=0.20
+pkgrel=0
+pkgdesc="Perl interface for get{addr,name}info(3)"
+url="http://search.cpan.org/dist/Socket-GetAddrInfo/"
+arch="all"
+license="GPL PerlArtistic"
+depends="perl-extutils-cchecker"
+makedepends="perl-dev"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" -name .packlist -name perllocal.pod -delete
+}
+
+md5sums="6fd3dc7f0ce9ca20a540372711533472 Socket-GetAddrInfo-0.20.tar.gz"
diff --git a/testing/rp-pppoe/APKBUILD b/testing/rp-pppoe/APKBUILD
index 91f087f8d9..0694c21682 100644
--- a/testing/rp-pppoe/APKBUILD
+++ b/testing/rp-pppoe/APKBUILD
@@ -2,13 +2,13 @@
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=rp-pppoe
pkgver=3.10
-pkgrel=3
+pkgrel=4
pkgdesc="Roaring Penguin\'s Point-to-Point Protocol over Ethernet client"
url="http://www.roaringpenguin.com/pppoe/"
arch="all"
license="LGPL"
depends=
-makedepends=
+makedepends="ppp-dev"
install=
subpackages="$pkgname-doc"
source="http://www.roaringpenguin.com/files/download/rp-pppoe-$pkgver.tar.gz
diff --git a/testing/tzdata/APKBUILD b/testing/tzdata/APKBUILD
index 4c10a39abc..eec6b8bb96 100644
--- a/testing/tzdata/APKBUILD
+++ b/testing/tzdata/APKBUILD
@@ -2,7 +2,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=tzdata
pkgver=2011c
-pkgrel=0
+_ptzver=0.1
+pkgrel=1
pkgdesc="Timezone data"
url="http://www.twinsun.com/tz/tz-link.htm"
arch="all"
@@ -13,6 +14,7 @@ install=
subpackages="$pkgname-doc"
source="ftp://elsie.nci.nih.gov/pub/tzcode$pkgver.tar.gz
ftp://elsie.nci.nih.gov/pub/tzdata$pkgver.tar.gz
+ http://git.alpinelinux.org/cgit/ncopa/posixtz.git/snapshot/posixtz-$_ptzver.tar.bz2
Makefile.patch"
_builddir="$srcdir"
@@ -29,14 +31,21 @@ prepare() {
build() {
cd "$_builddir"
make || return 1
+
+ cd "$srcdir"/posixtz-$_ptzver
+ make posixtz
}
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm -f "$pkgdir"/usr/share/zoneinfo/localtime
+
+ install -Dm755 "$srcdir"/posixtz-$_ptzver/posixtz \
+ "$pkgdir"/usr/bin/posixtz
}
md5sums="35c09d1cd46c1f40985562334521a7e5 tzcode2011c.tar.gz
1a01b1a3346c1531daab4970d0a2cd14 tzdata2011c.tar.gz
+be1ca94f79abfa367b4c54a51737ba91 posixtz-0.1.tar.bz2
a64ed97d1fc03c66ee8612c0d9f40507 Makefile.patch"